Page MenuHomePhabricator

Add usc_deleted to urlshortcodes
Closed, ResolvedPublic

Description

Look at the parent ticket. It should be easy, the table has only one row.

  1. ALTERs to run: https://gerrit.wikimedia.org/r/c/mediawiki/extensions/UrlShortener/+/422070/6/schemas/patch-usc_deleted.sql
  2. Where to run those changes: wikishared on x1
  3. When to run those changes: Anytime, the feature is disabled
  4. If the schema change is backwards compatible: Yup
  5. If the schema change has been tested already on some of the test/beta wikis: Tested in beta cluster
  6. if the data should be made available on the labs replicas and/or dumps: Yes, data in this table is public but we want to prevent replication of rows that have usc_deleted set to non-zero in future

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 15 2019, 1:04 PM
Marostegui moved this task from Backlog to In progress on the Blocked-on-schema-change board.
Marostegui added a subscriber: Marostegui.

Should be easy and a good test for T217453#5011169
I will try to tackle this next week

Marostegui triaged this task as Normal priority.Mar 15 2019, 1:55 PM
Reedy renamed this task from Add usc_deleted to urlshortcodes to Add usc_deleted to urlshortcodes.Mar 15 2019, 2:18 PM

Mentioned in SAL (#wikimedia-operations) [2019-03-18T06:08:46Z] <marostegui> Deploy schema change on x1 master (db1069) with replication - T218397

Marostegui closed this task as Resolved.Mar 18 2019, 6:10 AM

This is now done:

./section x1 | while read host port; do echo $host; mysql.py -h$host:$port wikishared -e "show create table urlshortcodes\G" | grep usc_deleted;done
dbstore2002.codfw.wmnet
  `usc_deleted` tinyint(1) NOT NULL DEFAULT '0',
dbstore1005.eqiad.wmnet
  `usc_deleted` tinyint(1) NOT NULL DEFAULT '0',
dbstore1001.eqiad.wmnet
  `usc_deleted` tinyint(1) NOT NULL DEFAULT '0',
db2096.codfw.wmnet
  `usc_deleted` tinyint(1) NOT NULL DEFAULT '0',
db2069.codfw.wmnet
  `usc_deleted` tinyint(1) NOT NULL DEFAULT '0',
db2034.codfw.wmnet
  `usc_deleted` tinyint(1) NOT NULL DEFAULT '0',
db2033.codfw.wmnet
  `usc_deleted` tinyint(1) NOT NULL DEFAULT '0',
db1120.eqiad.wmnet
  `usc_deleted` tinyint(1) NOT NULL DEFAULT '0',
db1069.eqiad.wmnet
  `usc_deleted` tinyint(1) NOT NULL DEFAULT '0',
db1064.eqiad.wmnet
  `usc_deleted` tinyint(1) NOT NULL DEFAULT '0',